#include "anfibioexotico.h"
#define CARACTER_SEPARADOR ';'
#include <fstream>
using namespace std;

/**
* @brief Sobrecarga do operador de extração para animal do tipo AnfibioExotico
* @param  input - strem de entrada
*         anfexo - Objeto do tipo AnfibioExotico
*
*/
std::istream& operator>> (std::istream &input, AnfibioExotico &anfexo){
    string aux;
    getline (input,aux,CARACTER_SEPARADOR);
    id = atoi(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    anfexo.nome = atoi(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    anfexo.classe = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    anfexo.cientifico = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    anfexo.sexo = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    anfexo.tamanho = atof(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    anfexo.dieta = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    anfexo.batismo = aux ;
		getline (input,aux,CARACTER_SEPARADOR);
		// anfexo.veterinario.id = atoi(aux.c_str());
		// getline (input,aux,CARACTER_SEPARADOR);
		// anfexo.tratador.id = atoi(aux.c_str());
		getline (input,aux,CARACTER_SEPARADOR);
    anfexo.total_mudas = atoi(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    anfexo.ultima_muda = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    anfexo.ibama = aux;
    getline (input,aux);
    anfexo.pais_origem = aux;
    return input;
}

	/**
  * @brief Construtor cria um animal do tipo AnfíbioExotico, que toma Anfibio e AnimalExotico como classe pai a herdar seus atributos
  * @param identity - ID, clas - classe do animal, name - nome do animal, scientific - nome científico do animal,
  *					sex - sexo do animal, size - tamanho do animal, diet - dieta do animal,
  * 				baptism - nome de batismo do animal, vet - veterinário associado ao animal,
  *					caretaker - tratador associado ao animal, total_changes - número de mudas do animal,
  *					last_change - ultima muda do animal, biernr - ibama, origin_country - pais de origem de animal
  */
AnfibioExotico::AnfibioExotico(int identity, string clas, string name, string scientific, char sex, float size,
        string diet, string baptism, Veterinario vet, Tratador caretaker,
        int total_changes, string last_change, string biernr, string origin_country):

        Anfibio(identity, clas, name, scientific, sex, size, diet, baptism, vet, caretaker, total_changes, last_change),
        AnimalExotico(biernr, origin_country)
        {}
					AnfibioExotico::~AnfibioExotico(){

					}
}
